/* 
 * mwConstructorInit.c --
 *
 *	This file contains some weird code to allow the GUSI library
 *	package to be included in the Tcl dynamic library produced by
 *	the Metrowerks C compilier.  It's purpose is to set up an
 *	initilization call that occurs when the dynamic library is
 *	loaded into memory.  The initialization routine will then call
 *	special code provided by the linker that will call the init
 *	init constructors for GUSIs static C++ objects.
 *
 * Copyright (c) 1995 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) mwConstructorInit.c 1.3 96/02/15 12:32:36
 */

#include <FragLoad.h>

/*
 *----------------------------------------------------------------------
 *
 * __initialize --
 *
 *	This call is to be used as the initialization entry point for
 *	the dynamic library that includes GUSI (or any other library
 *	that uses C++ static initializers).  See code fragment manager
 *	documentation for more details.
 *
 * Results:
 *	None.
 *
 * Side effects:
 *	Will initialize C++ constuctors for static variables.
 *
 *----------------------------------------------------------------------
 */

OSErr
__initialize(blockPtr)
    InitBlockPtr blockPtr;
{
    __sinit();
    return noErr;
}

/*
 *----------------------------------------------------------------------
 *
 * __sinit --
 *
 *	This is a dummy call that provides a "hook" of some sort for
 *	the Metrowerks linker.  The linker will replace this dummy
 *	function with code that will actually initialize the C++
 *	variables.  Contact Metrowerks if you have questions about this
 *	code.
 *
 * Results:
 *	None.
 *
 * Side effects:
 *	This code will be replced by the Metrowerks linker.
 *
 *----------------------------------------------------------------------
 */

void
__sinit()
{
}
